# Contributing

## Working on your first Pull Request?

You can learn how from this _free_ series [How to Contribute to an Open Source Project on GitHub](https://egghead.io/series/how-to-contribute-to-an-open-source-project-on-github)

## Commit Messages

Please use the following format for your commits:

```commit
<type>: <subject>

<type> is one of:
    - feat: A new feature
    - fix: A bug fix
    - docs: Documentation only changes
    - style: Changes that do not affect the meaning of the code (white-space, formatting, missing semi-colons, etc)
    - refactor: A code change that neither fixes a bug nor adds a feature
    - perf: A code change that improves performance
    - test: Adding missing tests or correcting existing tests
    - chore: Changes to the build process or auxiliary files
    - revert: Revert to a commit
    - WIP: Work in progress

<subject> is a short, imperative tense description of the change
```

[Full details](https://conventionalcommits.org)
